vlc crashed with SIGSEGV in memcpy()

Bug #1288206 reported by Gbebi Lartey David on 2014-03-05
360
This bug affects 62 people
Affects Status Importance Assigned to Milestone
libav
Fix Released
High
libav (Debian)
Fix Released
Unknown
libav (Ubuntu)
High
Unassigned
vlc (Ubuntu)
High
Unassigned

Bug Description

was playing and all of a sudden it stopped playing and my system froze.

ProblemType: Crash
DistroRelease: Ubuntu 14.04
Package: vlc-nox 2.1.2-2build1
ProcVersionSignature: Ubuntu 3.13.0-15.35-generic 3.13.5
Uname: Linux 3.13.0-15-generic x86_64
ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Mar 5 11:31:42 2014
ExecutablePath: /usr/bin/vlc
ProcCmdline: /usr/bin/vlc --started-from-file
SegvAnalysis:
 Segfault happened at: 0x7f7d5cc25c70 <__memcpy_sse2_unaligned+32>: movdqu (%rsi),%xmm8
 PC (0x7f7d5cc25c70) ok
 source "(%rsi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%xmm8" ok
 Stack memory exhausted (SP below stack segment)
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: vlc
StacktraceTop:
 ?? () from /usr/lib/vlc/plugins/codec/libavcodec_plugin.so
 ?? () from /usr/lib/libvlccore.so.7
 ?? () from /usr/lib/libvlccore.so.7
 start_thread (arg=0x7f7d01d0c700) at pthread_create.c:312
 clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Title: vlc crashed with SIGSEGV in start_thread()
UpgradeStatus: Upgraded to trusty on 2014-01-07 (57 days ago)
UserGroups: adm autopilot cdrom dip libvirtd lpadmin plugdev sambashare sudo

StacktraceTop:
 memcpy (__len=960, __src=0x0, __dest=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/string3.h:51
 ffmpeg_CopyPicture (p_ff_pic=0x7f7d08e449e0, p_pic=0x7f7cf0010620, p_dec=0x7f7d08e43c88) at avcodec/video.c:897
 DecodeVideo (p_dec=<optimized out>, pp_block=<optimized out>) at avcodec/video.c:724
 DecoderDecodeVideo (p_dec=p_dec@entry=0x7f7d08e43c88, p_block=p_block@entry=0x7f7d08e232a0) at input/decoder.c:1479
 DecoderProcessVideo (b_flush=false, p_block=0x7f7d08e232a0, p_dec=<optimized out>) at input/decoder.c:1841

Changed in vlc (Ubuntu):
importance: Undecided → Medium
summary: - vlc crashed with SIGSEGV in start_thread()
+ vlc crashed with SIGSEGV in memcpy()
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in vlc (Ubuntu):
status: New → Confirmed
Benjamin Drung (bdrung) on 2014-03-10
information type: Private → Public
Sebastien Bacher (seb128) wrote :

e.u.c report on https://errors.ubuntu.com/problem/2ea010899ab6b517958d2e8a98cd6b8f9df5866c

that bug is ranked 3rd on the current trusty issues

Changed in vlc (Ubuntu):
importance: Medium → High
Alexander Sell (ubuntu.alex) wrote :

System did not freeze, but it just crashed the VLC player

Rémi Denis-Courmont (rdenis) wrote :

Without any way to reproduce the problem, and with just a vague stack trace, all I can say is it looks like a libavcodec bug.

It is not valid for AVFrame.data[0] to be NULL when the picture pitch is 960 bytes (presumably a 960x720 video).

Changed in libav (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libav (Ubuntu):
status: New → Confirmed
Jeffrey Tees (jeff-tees) wrote :

playing mkv in vlc. After 5.06 playtime, video and audio froze, application went grey and then quit.

Tried launching with totem, it quit after a few seconds also.

David R. Hedges (p14nd4) wrote :

This crash usually happens for me when I'm skipping around during video playback--clicking different points on the time slider/toolbar. (It doesn't happen *every* time I jump to another point during playback, but it happens pretty regularly when I try.)

Changed in vlc (Debian):
status: Unknown → Incomplete
tags: added: bugpattern-needed
Jeffrey Tees (jeff-tees) wrote :

Ubuntu 14.04 on Acer Aspire One D260

I'm getting this rather frequently, first video played in vlc after login. No skipping or changing position in track, usually in the first few moments of playback.

Sebastien Bacher (seb128) wrote :

Could somebody share a (small if possible) file triggering the issue?

Markward Kufleitner (c-infv-9) wrote :

I clicked on an rtsp stream Link with Firfox and VLC started black.

one millisecond sound and the window disappeard.

Ubuntu 14.04 with Cinnamon Desktop over Cinnamon nightly PPA

Yoshee (yoshee) wrote :

To reproduce it should be enough to try this link:
 rtsp://daserste.edges.wowza.gl-systemhaus.de/live/mp4:daserste_int_1600

Alex (alexthreed) wrote :

quickfix:

diff -r vlc-2.1.2-orig/modules/codec/avcodec/video.c vlc-2.1.2-orig-1/modules/codec/avcodec/video.c
891a892,895
> if(!p_src){
> //msg_Err( p_dec, "ffmpeg_CopyPicture`: p_ff_pic->data[%d]==0, p_pic->i_planes==%d", i_plane, p_pic->i_planes );
> continue;
> }

this doesn't fix the source of the problem but at least vlc doesn't crash

ROCHE (guyroche08-6) wrote :

This bug comes everytime I try to go before reading video

ROCHE (guyroche08-6) wrote :

This bug is only on vlc because, i does not appear on other player like smplayer.

Rémi Denis-Courmont (rdenis) wrote :

libavcodec is sometimes returning an invalid picture. This seems to only occur with multithreaded decoding and with libav release 9 (no such problem with libav release 8 or 10).

As far as I can tell, this regression is caused by the introduction of libav 9 in Ubuntu.

Changed in vlc (Debian):
status: Incomplete → New
affects: vlc (Debian) → libav (Debian)
Changed in vlc (Ubuntu):
status: Confirmed → Invalid
Changed in libav (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → New

mercie et mercie

Le Mercredi 9 avril 2014 21h45, Julio Cordero <email address hidden> a écrit :

** Changed in: libav (Ubuntu)
      Status: Confirmed => Fix Committed

** Changed in: libav (Ubuntu)
      Status: Fix Committed => New

--
You received this bug notification because you are subscribed to a
duplicate bug report (1294571).
https://bugs.launchpad.net/bugs/1288206

Title:
  vlc crashed with SIGSEGV in memcpy()

Status in “libav” package in Ubuntu:
  New
Status in “vlc” package in Ubuntu:
  Invalid
Status in “libav” package in Debian:
  New

Bug description:
  was playing and all of a sudden it stopped playing and my system
  froze.

  ProblemType: Crash
  DistroRelease: Ubuntu 14.04
  Package: vlc-nox 2.1.2-2build1
  ProcVersionSignature: Ubuntu 3.13.0-15.35-generic 3.13.5
  Uname: Linux 3.13.0-15-generic x86_64
  ApportVersion: 2.13.2-0ubuntu5
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Mar  5 11:31:42 2014
  ExecutablePath: /usr/bin/vlc
  ProcCmdline: /usr/bin/vlc --started-from-file
  SegvAnalysis:
  Segfault happened at: 0x7f7d5cc25c70 <__memcpy_sse2_unaligned+32>:    movdqu (%rsi),%xmm8
  PC (0x7f7d5cc25c70) ok
  source "(%rsi)" (0x00000000) not located in a known VMA region (needed readable region)!
  destination "%xmm8" ok
  Stack memory exhausted (SP below stack segment)
  SegvReason: reading NULL VMA
  Signal: 11
  SourcePackage: vlc
  StacktraceTop:
  ?? () from /usr/lib/vlc/plugins/codec/libavcodec_plugin.so
  ?? () from /usr/lib/libvlccore.so.7
  ?? () from /usr/lib/libvlccore.so.7
  start_thread (arg=0x7f7d01d0c700) at pthread_create.c:312
  clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
  Title: vlc crashed with SIGSEGV in start_thread()
  UpgradeStatus: Upgraded to trusty on 2014-01-07 (57 days ago)
  UserGroups: adm autopilot cdrom dip libvirtd lpadmin plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libav/+bug/1288206/+subscriptions

Marcelo (marceloramone-gmail) wrote :

Hello,

VLC crash when is streaming torrents with PEERFLIX.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libav (Ubuntu):
status: New → Confirmed
Chris Page (chris-page1980-d) wrote :

Same as above, using peerflix and boom. vlc froze and then crashed. Vlc installed from Ubuntu Software Center in a fresh install of todays xubuntu 14.04 desktop amd64 daily.

Changed in vlc:
importance: Unknown → High
status: Unknown → Confirmed
LAZA (laza74) wrote :

got this non-crash while playing a stream from
http://hstreaming.zdf.de/zdf/veryhigh/14/04/140429_anstalt_dan.mov
and tried to jump backwards, waited for some seconds (but nothing changed) so i closed VLC.
afterwards i got this crash report...

affects: vlc → libav

After a recent upgrade to 14.04, while playing h.264...

kernel: [562191.112900] vlc[3636]: segfault at 0 ip 00007f5c9c6ade30 sp 00007f5c4fddbc68 error 4 in libc-2.19.so[7f5c9c615000+1bc000]

I will send the crash report if requested (too big to attach).

Reinstall didn't work. Plugins generation didn't.

Workaround (until this is fixed in the official repos): SMPlayer

==========================================================
3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:11:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Dell latitude e6410

PS : I am already suffering from throttlegate so this bug is very frustrating.

Yoshee (yoshee) wrote :

If you consider using SMPlayer as a workaround, I think you could better upgrade to VLC 2.2, which "solved" the problem for me:
[quote]
Install VLC 2.2.x in Ubuntu

Want to go hands on? You’ll need two things: awareness that these are development builds, and the VLC daily PPA added to your system software sources.

Again, these are development builds and are not recommended for those who require a stable, bug-free media experience.

sudo add-apt-repository ppa:videolan/master-daily

sudo apt-get update && sudo apt-get install vlc
[/quote]
source: http://www.omgubuntu.co.uk/2014/04/vlc-2-2-add-ons-manager

Changed in libav (Debian):
status: New → Confirmed
Changed in libav (Debian):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libav - 6:9.13-0ubuntu0.14.04.1

---------------
libav (6:9.13-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Merge from unstable, remaining changes:
    - build-depend on libtiff5-dev rather than libtiff4-dev,
      avoids FTBFS caused by imlib
  * New upstream release 9.13:
    - Many security fixes issues LP: #1277173
    - swscale: Fix an undefined behaviour
    - matroska: add the Opus mapping
    - mp3enc: Properly write bitrate value in XING header (Closes: #736088)
    - origin/pu/9 oggdec: add support for Opus in Ogg demuxing
      (Fixes: libav/603, Closes: #720563)
    - apedec: do not buffer decoded samples over AVPackets (Closes: #744901)
    - isom: lpcm in mov default to big endian
    - movdec: handle 0x7fff langcode as macintosh per the specs
    - h264: reset next_output_pic earlier in start_frame()
      (Fixes: libav/672, Closes: #741240, LP: #1288206)
    - rtmpproto: Make sure to pass on the error code if read_connect failed
    - lavr: allocate the resampling buffer with a positive size
    - tiffdec: use bytestream2 to simplify overread/overwrite protection
    - resample: fix avresample_get_delay() return value
    - avi: Improve non-interleaved detection (Fixes: libav/666)
    - af_channelmap: fix ONE_STR mapping mode
    - movenc: allow override of "writing application" tag
    - matroskaenc: allow override of "writing application" tag
    - avfilter: Add missing emms_c when needed
    - build: Use pkg-config for openjpeg (Fixes: libav/387)
    - mpeg12: check scantable indices in all decode_block functions
    - sgidec: fix buffer size check in expand_rle_row()
    - adx: check that the offset is not negative
    - mpegvideo: set reference/pict_type on generated reference frames
    - h264: Fix various crashes found in samples pointed by Mateusz
    "j00ru" Jurczyk and Gynvael Coldwind - Thanks!
  * Rebuild is reported to fix vaapi, Closes: #745655
  * Fix invocation of dpkg-maintscript helper, LP: #1315672
  * cleanup leftovers of the former libav-source package
  * Simplify listing packages with dh_listpackage
  * Drop transitional arch:all -extra- packages
  * Bump standards version to 3.9.5, no changes needed

libav (6:9.11-4) unstable; urgency=medium

  * Imported Upstream version 9.11
    - bumped severity because of many security relevant changes
    - update freetype header detection

libav (6:9.11-3) unstable; urgency=low

  * Add upstream patch to enable PIC on s390(x), Closes: #726733

libav (6:9.11-2ubuntu3) utopic; urgency=high

  * No change rebuild against librtmp1.
 -- Reinhard Tartler <email address hidden> Sun, 04 May 2014 16:11:03 -0400

Changed in libav (Ubuntu):
status: Confirmed → Fix Released
Changed in libav:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.